Package org.tanukisoftware.wrapper

# Class WrapperProcessOutputStream

java.lang.Object
java.io.OutputStream
org.tanukisoftware.wrapper.WrapperProcessOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class WrapperProcessOutputStream extends OutputStream
The OutputStream Class of a WrapperProcess, representing all the data the ChildProcess read from the Wrapper.

Since:
  Wrapper 3.4.0

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Closes the OutputStream.
`void`
`write(int b)`
Writes a byte to the Stream.

### Methods inherited from class java.io.OutputStream

`flush, nullOutputStream, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### write

public void write(int b) throws IOException
Writes a byte to the Stream.

Specified by:
  `write` in class `OutputStream`
Parameters:
  `b` - byte to write.
Throws:
  `IOException` - in case the stream has been already closed or any other IO error.
  `WrapperLicenseError` - If the function is called other than in the Professional Edition or from a Standalone JVM.

### close

public void close() throws IOException
Closes the OutputStream.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException` - If there were any problems closing the stream.
  `WrapperLicenseError` - If the function is called other than in the Professional Edition or from a Standalone JVM.